CoD: Black Ops First Strike DLC Language Compatibility Weirdness

I apologize for that horrific headline; there’s no simple way to describe this thing I’m about to say.

The gist is this: on our planet here we have many different languages. As a result, our video games also come in different languages. Call of Duty: Black Ops comes in a bunch of different languages, for one, since it’s popular all over the world.

Likewise, the Black Ops First Strike map pack comes in a bunch of different languages. First Strike hits Xbox Live sometime tonight/in the morning (it’s exclusive for now), and here’s something you really need to keep in mind if you’re gonna buy it: The First Strike pack will only work with a copy of Black Ops with which it shares a language. This means that if you have an English copy of Black Ops, you must buy an English copy of First Strike.

This seems easy enough, but there are places in the world in which folks speak more than one language and thus you’ll find more than one option int he Marketplace, and some folks have imported copies of the game from places where they have language options not offered in your region. Remember: NO MATTER WHAT, YOUR COPY OF BLACK OPS MUST BE IN THE SAME LANGUAGE AS THE VERSION OF FIRST STRIKE YOU DOWNLOAD FOR THE DLC TO WORK.

Happy shooting.

http://forums.xbox.com/ShowPost.aspx?PostID=35677497

Join the Conversation   

* required field

By submitting a comment here you grant GameFront a perpetual license to reproduce your words and name/web site in attribution. Inappropriate or irrelevant comments will be removed at an admin's discretion.

2 Comments on CoD: Black Ops First Strike DLC Language Compatibility Weirdness

zombikilla

On February 1, 2011 at 3:54 am

i downloaded the wrong language any way to repair except paying another microsoft point card?

Phil Owen

On February 1, 2011 at 5:40 am

I’m not sure as the link I posted doesn’t address that. I’d suggest searching the Xbox forums. I wouldn’t hold my breath for any help, though.